package com.bjtdba.merchant.dao;

import com.bjtdba.entity.merchant.Merchant;
import com.bjtdba.merchant.vo.MerchantCashierShow;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
@Mapper
public interface MerchantDao {

    MerchantCashierShow selectByMerId(Integer mer_id);
    Merchant selectByUId(Integer uid);

    Integer selectConsumptionScoreByMerId(int mer_id);

    int updateConsumptionScore(int mer_id);

    int insterMerchant(Merchant merchant);

    int updateMerchant(Merchant merchant);


    int updateHuiByUid(String hf_member_id, String hf_member_id_wx, Integer uid);

    List<Merchant> selectListByUId(Integer uid);
}
